curl --request POST \
--url https://api.lendflow.com/api/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "architecto",
"last_name": "architecto",
"email": "zbailey@example.net",
"roles": [],
"permissions_preset_id": null,
"assigned_client_ids": null,
"assigned_workflow_template_ids": null,
"client_id": null,
"funder_id": null,
"funder_contact_role": "underwriter",
"responsible_for_products": null,
"phone": null,
"calendar_link": "http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"
}
'import requests
url = "https://api.lendflow.com/api/users"
payload = {
"first_name": "architecto",
"last_name": "architecto",
"email": "zbailey@example.net",
"roles": [],
"permissions_preset_id": None,
"assigned_client_ids": None,
"assigned_workflow_template_ids": None,
"client_id": None,
"funder_id": None,
"funder_contact_role": "underwriter",
"responsible_for_products": None,
"phone": None,
"calendar_link": "http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'architecto',
last_name: 'architecto',
email: 'zbailey@example.net',
roles: [],
permissions_preset_id: null,
assigned_client_ids: null,
assigned_workflow_template_ids: null,
client_id: null,
funder_id: null,
funder_contact_role: 'underwriter',
responsible_for_products: null,
phone: null,
calendar_link: 'http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html'
})
};
fetch('https://api.lendflow.com/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"first_name": "Lafayette",
"last_name": "Considine",
"full_name": "Lafayette Considine",
"email": "18142bfc53181-d647-36b2-9080-f9c2b76006f4@example.com",
"pending_email": null,
"status": 1,
"permissions_preset_id": null,
"api_version": null,
"phone": "+12679441627",
"calendar_link": null,
"created_at": null,
"updated_at": null,
"deleted_at": null
}
}Create User
Creates a new user and sends them an email invitation. The new user must verify their email address before they can log in. Only roles valid for your organization can be assigned.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Body
"architecto"
"architecto"
Must be a valid email address.
"zbailey@example.net"
Must match an existing stored value.
[]
Provide a permissions preset id if the user is assigned to a specific published permissions preset. Must match an existing stored value.
null
Provide client IDs if the user is assigned to specific clients. This cannot be provided for users tied to a client, or when using a specified preset. Must match an existing stored value.
null
Provide workflow template IDs if the user is assigned to specific workflow templates.This cannot be provided when using a specified preset.
null
Provide client id if the new user is under the client. Must match an existing stored value.
null
Provide funder id if the new user is under the funder. Must match an existing stored value.
null
manager, sales_rep, underwriter "underwriter"
Must match an existing stored value.
null
null
Must be a valid URL.
"http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"
Response
Show child attributes
Show child attributes
Was this page helpful?